HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete Profile with {profileId}

You can delete a usage profile at any time. Use a HTTP DELETE with the {profileId} in the URL. You will get the standard success or error response back. Be careful. This is a "hard" delete and your data is really purged. No going back!

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete a usage profile using the Arcadia-generated profileId.

Use this endpoint when you have stored the profileId returned by Arcadia when the profile was created. If you use your own profile identifier, use Delete Profile with providerProfileId instead.

triangle-exclamation

Deleting a profile is a hard delete. The profile data is permanently removed and cannot be restored.

Resource URI

DELETE /rest/v1/profiles/{profileId}

Path parameters

ParameterTypeDescription
profileIdStringArcadia UUID of the Profile object. Required.

Example

DELETE /rest/v1/profiles/b7559f37-8020-4969-8bd1-48d8c3d58976

A successful request returns the standard success response. For the full profile data model, profile workflow, and deletion behavior, see Profiles API.

{
  "status": "success",
  "count": 0,
  "type": "UsageProfile",
  "results": null
}
Path Params
string
required

This is the Arcadia UUID of the Profile object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json